package xn.hxp.receiver;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

import xn.hxp.utils.Tool;


public class TimeTickReceiver extends BroadcastReceiver {
    @Override
    public void onReceive(Context context, Intent intent) {
        // 保活用
        Intent newIntent = new Intent("XN_ACTION");
        intent.putExtra("heartbeat", "heartbeat");
        context.sendBroadcast(newIntent);
        Tool.INSTANCE.startTaskService();
    }
}
